Package org.eclipse.m2m.atl.common.OCL.util

## Class OCLAdapterFactory

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
  - - org.eclipse.m2m.atl.common.OCL.util.OCLAdapterFactory

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.AdapterFactory`

    public class OCLAdapterFactory
    extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `OCLPackage`

### Field Summary

Fields
`protected static OCLPackage` `modelPackage` The cached model package.
`protected OCLSwitch<org.eclipse.emf.common.notify.Adapter>` `modelSwitch` The switch that delegates to the `createXXX` methods.

### Constructor Summary

Constructors
`OCLAdapterFactory()` Creates an instance of the adapter factory.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.emf.common.notify.Adapter` `createAdapter​(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`.
`org.eclipse.emf.common.notify.Adapter` `createAttributeAdapter()` Creates a new adapter for an object of class '`Attribute`'.
`org.eclipse.emf.common.notify.Adapter` `createBagExpAdapter()` Creates a new adapter for an object of class '`Bag Exp`'.
`org.eclipse.emf.common.notify.Adapter` `createBagTypeAdapter()` Creates a new adapter for an object of class '`Bag Type`'.
`org.eclipse.emf.common.notify.Adapter` `createBooleanExpAdapter()` Creates a new adapter for an object of class '`Boolean Exp`'.
`org.eclipse.emf.common.notify.Adapter` `createBooleanTypeAdapter()` Creates a new adapter for an object of class '`Boolean Type`'.
`org.eclipse.emf.common.notify.Adapter` `createCollectionExpAdapter()` Creates a new adapter for an object of class '`Collection Exp`'.
`org.eclipse.emf.common.notify.Adapter` `createCollectionOperationCallExpAdapter()` Creates a new adapter for an object of class '`Collection Operation Call Exp`'.
`org.eclipse.emf.common.notify.Adapter` `createCollectionTypeAdapter()` Creates a new adapter for an object of class '`Collection Type`'.
`org.eclipse.emf.common.notify.Adapter` `createEnumLiteralExpAdapter()` Creates a new adapter for an object of class '`Enum Literal Exp`'.
`org.eclipse.emf.common.notify.Adapter` `createEObjectAdapter()` Creates a new adapter for the default case.
`org.eclipse.emf.common.notify.Adapter` `createIfExpAdapter()` Creates a new adapter for an object of class '`If Exp`'.
`org.eclipse.emf.common.notify.Adapter` `createIntegerExpAdapter()` Creates a new adapter for an object of class '`Integer Exp`'.
`org.eclipse.emf.common.notify.Adapter` `createIntegerTypeAdapter()` Creates a new adapter for an object of class '`Integer Type`'.
`org.eclipse.emf.common.notify.Adapter` `createIterateExpAdapter()` Creates a new adapter for an object of class '`Iterate Exp`'.
`org.eclipse.emf.common.notify.Adapter` `createIteratorAdapter()` Creates a new adapter for an object of class '`Iterator`'.
`org.eclipse.emf.common.notify.Adapter` `createIteratorExpAdapter()` Creates a new adapter for an object of class '`Iterator Exp`'.
`org.eclipse.emf.common.notify.Adapter` `createLetExpAdapter()` Creates a new adapter for an object of class '`Let Exp`'.
`org.eclipse.emf.common.notify.Adapter` `createLocatedElementAdapter()` Creates a new adapter for an object of class '`Located Element`'.
`org.eclipse.emf.common.notify.Adapter` `createLoopExpAdapter()` Creates a new adapter for an object of class '`Loop Exp`'.
`org.eclipse.emf.common.notify.Adapter` `createMapElementAdapter()` Creates a new adapter for an object of class '`Map Element`'.
`org.eclipse.emf.common.notify.Adapter` `createMapExpAdapter()` Creates a new adapter for an object of class '`Map Exp`'.
`org.eclipse.emf.common.notify.Adapter` `createMapTypeAdapter()` Creates a new adapter for an object of class '`Map Type`'.
`org.eclipse.emf.common.notify.Adapter` `createNavigationOrAttributeCallExpAdapter()` Creates a new adapter for an object of class '`Navigation Or Attribute Call Exp`'.
`org.eclipse.emf.common.notify.Adapter` `createNumericExpAdapter()` Creates a new adapter for an object of class '`Numeric Exp`'.
`org.eclipse.emf.common.notify.Adapter` `createNumericTypeAdapter()` Creates a new adapter for an object of class '`Numeric Type`'.
`org.eclipse.emf.common.notify.Adapter` `createOclAnyTypeAdapter()` Creates a new adapter for an object of class '`Ocl Any Type`'.
`org.eclipse.emf.common.notify.Adapter` `createOclContextDefinitionAdapter()` Creates a new adapter for an object of class '`Ocl Context Definition`'.
`org.eclipse.emf.common.notify.Adapter` `createOclExpressionAdapter()` Creates a new adapter for an object of class '`Ocl Expression`'.
`org.eclipse.emf.common.notify.Adapter` `createOclFeatureAdapter()` Creates a new adapter for an object of class '`Ocl Feature`'.
`org.eclipse.emf.common.notify.Adapter` `createOclFeatureDefinitionAdapter()` Creates a new adapter for an object of class '`Ocl Feature Definition`'.
`org.eclipse.emf.common.notify.Adapter` `createOclModelAdapter()` Creates a new adapter for an object of class '`Ocl Model`'.
`org.eclipse.emf.common.notify.Adapter` `createOclModelElementAdapter()` Creates a new adapter for an object of class '`Ocl Model Element`'.
`org.eclipse.emf.common.notify.Adapter` `createOclTypeAdapter()` Creates a new adapter for an object of class '`Ocl Type`'.
`org.eclipse.emf.common.notify.Adapter` `createOclUndefinedExpAdapter()` Creates a new adapter for an object of class '`Ocl Undefined Exp`'.
`org.eclipse.emf.common.notify.Adapter` `createOperationAdapter()` Creates a new adapter for an object of class '`Operation`'.
`org.eclipse.emf.common.notify.Adapter` `createOperationCallExpAdapter()` Creates a new adapter for an object of class '`Operation Call Exp`'.
`org.eclipse.emf.common.notify.Adapter` `createOperatorCallExpAdapter()` Creates a new adapter for an object of class '`Operator Call Exp`'.
`org.eclipse.emf.common.notify.Adapter` `createOrderedSetExpAdapter()` Creates a new adapter for an object of class '`Ordered Set Exp`'.
`org.eclipse.emf.common.notify.Adapter` `createOrderedSetTypeAdapter()` Creates a new adapter for an object of class '`Ordered Set Type`'.
`org.eclipse.emf.common.notify.Adapter` `createParameterAdapter()` Creates a new adapter for an object of class '`Parameter`'.
`org.eclipse.emf.common.notify.Adapter` `createPrimitiveAdapter()` Creates a new adapter for an object of class '`Primitive`'.
`org.eclipse.emf.common.notify.Adapter` `createPrimitiveExpAdapter()` Creates a new adapter for an object of class '`Primitive Exp`'.
`org.eclipse.emf.common.notify.Adapter` `createPropertyCallExpAdapter()` Creates a new adapter for an object of class '`Property Call Exp`'.
`org.eclipse.emf.common.notify.Adapter` `createRealExpAdapter()` Creates a new adapter for an object of class '`Real Exp`'.
`org.eclipse.emf.common.notify.Adapter` `createRealTypeAdapter()` Creates a new adapter for an object of class '`Real Type`'.
`org.eclipse.emf.common.notify.Adapter` `createSequenceExpAdapter()` Creates a new adapter for an object of class '`Sequence Exp`'.
`org.eclipse.emf.common.notify.Adapter` `createSequenceTypeAdapter()` Creates a new adapter for an object of class '`Sequence Type`'.
`org.eclipse.emf.common.notify.Adapter` `createSetExpAdapter()` Creates a new adapter for an object of class '`Set Exp`'.
`org.eclipse.emf.common.notify.Adapter` `createSetTypeAdapter()` Creates a new adapter for an object of class '`Set Type`'.
`org.eclipse.emf.common.notify.Adapter` `createStringExpAdapter()` Creates a new adapter for an object of class '`String Exp`'.
`org.eclipse.emf.common.notify.Adapter` `createStringTypeAdapter()` Creates a new adapter for an object of class '`String Type`'.
`org.eclipse.emf.common.notify.Adapter` `createSuperExpAdapter()` Creates a new adapter for an object of class '`Super Exp`'.
`org.eclipse.emf.common.notify.Adapter` `createTupleExpAdapter()` Creates a new adapter for an object of class '`Tuple Exp`'.
`org.eclipse.emf.common.notify.Adapter` `createTuplePartAdapter()` Creates a new adapter for an object of class '`Tuple Part`'.
`org.eclipse.emf.common.notify.Adapter` `createTupleTypeAdapter()` Creates a new adapter for an object of class '`Tuple Type`'.
`org.eclipse.emf.common.notify.Adapter` `createTupleTypeAttributeAdapter()` Creates a new adapter for an object of class '`Tuple Type Attribute`'.
`org.eclipse.emf.common.notify.Adapter` `createVariableDeclarationAdapter()` Creates a new adapter for an object of class '`Variable Declaration`'.
`org.eclipse.emf.common.notify.Adapter` `createVariableExpAdapter()` Creates a new adapter for an object of class '`Variable Exp`'.
`boolean` `isFactoryForType​(java.lang.Object object)` Returns whether this factory is applicable for the type of the object.

### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

`adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### modelPackage

    protected static OCLPackage modelPackage

The cached model package.

#### modelSwitch

    protected OCLSwitch<org.eclipse.emf.common.notify.Adapter> modelSwitch

The switch that delegates to the `createXXX` methods.

### Constructor Detail

#### OCLAdapterFactory

    public OCLAdapterFactory()

Creates an instance of the adapter factory.

### Method Detail

#### isFactoryForType

    public boolean isFactoryForType​(java.lang.Object object)

Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

Specified by:
  `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
Overrides:
  `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
Returns:
  whether this factory is applicable for the type of the object.

#### createAdapter

    public org.eclipse.emf.common.notify.Adapter createAdapter​(org.eclipse.emf.common.notify.Notifier target)

Creates an adapter for the `target`.

Overrides:
  `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
Parameters:
  `target` - the object to adapt.
Returns:
  the adapter for the `target`.

#### createOclExpressionAdapter

    public org.eclipse.emf.common.notify.Adapter createOclExpressionAdapter()

Creates a new adapter for an object of class '`Ocl Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `OclExpression`

#### createVariableExpAdapter

    public org.eclipse.emf.common.notify.Adapter createVariableExpAdapter()

Creates a new adapter for an object of class '`Variable Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `VariableExp`

#### createSuperExpAdapter

    public org.eclipse.emf.common.notify.Adapter createSuperExpAdapter()

Creates a new adapter for an object of class '`Super Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `SuperExp`

#### createPrimitiveExpAdapter

    public org.eclipse.emf.common.notify.Adapter createPrimitiveExpAdapter()

Creates a new adapter for an object of class '`Primitive Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `PrimitiveExp`

#### createStringExpAdapter

    public org.eclipse.emf.common.notify.Adapter createStringExpAdapter()

Creates a new adapter for an object of class '`String Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `StringExp`

#### createBooleanExpAdapter

    public org.eclipse.emf.common.notify.Adapter createBooleanExpAdapter()

Creates a new adapter for an object of class '`Boolean Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `BooleanExp`

#### createNumericExpAdapter

    public org.eclipse.emf.common.notify.Adapter createNumericExpAdapter()

Creates a new adapter for an object of class '`Numeric Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `NumericExp`

#### createRealExpAdapter

    public org.eclipse.emf.common.notify.Adapter createRealExpAdapter()

Creates a new adapter for an object of class '`Real Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `RealExp`

#### createIntegerExpAdapter

    public org.eclipse.emf.common.notify.Adapter createIntegerExpAdapter()

Creates a new adapter for an object of class '`Integer Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `IntegerExp`

#### createCollectionExpAdapter

    public org.eclipse.emf.common.notify.Adapter createCollectionExpAdapter()

Creates a new adapter for an object of class '`Collection Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `CollectionExp`

#### createBagExpAdapter

    public org.eclipse.emf.common.notify.Adapter createBagExpAdapter()

Creates a new adapter for an object of class '`Bag Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `BagExp`

#### createOrderedSetExpAdapter

    public org.eclipse.emf.common.notify.Adapter createOrderedSetExpAdapter()

Creates a new adapter for an object of class '`Ordered Set Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `OrderedSetExp`

#### createSequenceExpAdapter

    public org.eclipse.emf.common.notify.Adapter createSequenceExpAdapter()

Creates a new adapter for an object of class '`Sequence Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `SequenceExp`

#### createSetExpAdapter

    public org.eclipse.emf.common.notify.Adapter createSetExpAdapter()

Creates a new adapter for an object of class '`Set Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `SetExp`

#### createTupleExpAdapter

    public org.eclipse.emf.common.notify.Adapter createTupleExpAdapter()

Creates a new adapter for an object of class '`Tuple Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `TupleExp`

#### createTuplePartAdapter

    public org.eclipse.emf.common.notify.Adapter createTuplePartAdapter()

Creates a new adapter for an object of class '`Tuple Part`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `TuplePart`

#### createMapExpAdapter

    public org.eclipse.emf.common.notify.Adapter createMapExpAdapter()

Creates a new adapter for an object of class '`Map Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `MapExp`

#### createMapElementAdapter

    public org.eclipse.emf.common.notify.Adapter createMapElementAdapter()

Creates a new adapter for an object of class '`Map Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `MapElement`

#### createEnumLiteralExpAdapter

    public org.eclipse.emf.common.notify.Adapter createEnumLiteralExpAdapter()

Creates a new adapter for an object of class '`Enum Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `EnumLiteralExp`

#### createOclUndefinedExpAdapter

    public org.eclipse.emf.common.notify.Adapter createOclUndefinedExpAdapter()

Creates a new adapter for an object of class '`Ocl Undefined Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `OclUndefinedExp`

#### createPropertyCallExpAdapter

    public org.eclipse.emf.common.notify.Adapter createPropertyCallExpAdapter()

Creates a new adapter for an object of class '`Property Call Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `PropertyCallExp`

#### createNavigationOrAttributeCallExpAdapter

    public org.eclipse.emf.common.notify.Adapter createNavigationOrAttributeCallExpAdapter()

Creates a new adapter for an object of class '`Navigation Or Attribute Call Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `NavigationOrAttributeCallExp`

#### createOperationCallExpAdapter

    public org.eclipse.emf.common.notify.Adapter createOperationCallExpAdapter()

Creates a new adapter for an object of class '`Operation Call Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `OperationCallExp`

#### createOperatorCallExpAdapter

    public org.eclipse.emf.common.notify.Adapter createOperatorCallExpAdapter()

Creates a new adapter for an object of class '`Operator Call Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `OperatorCallExp`

#### createCollectionOperationCallExpAdapter

    public org.eclipse.emf.common.notify.Adapter createCollectionOperationCallExpAdapter()

Creates a new adapter for an object of class '`Collection Operation Call Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `CollectionOperationCallExp`

#### createLoopExpAdapter

    public org.eclipse.emf.common.notify.Adapter createLoopExpAdapter()

Creates a new adapter for an object of class '`Loop Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `LoopExp`

#### createIterateExpAdapter

    public org.eclipse.emf.common.notify.Adapter createIterateExpAdapter()

Creates a new adapter for an object of class '`Iterate Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `IterateExp`

#### createIteratorExpAdapter

    public org.eclipse.emf.common.notify.Adapter createIteratorExpAdapter()

Creates a new adapter for an object of class '`Iterator Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `IteratorExp`

#### createLetExpAdapter

    public org.eclipse.emf.common.notify.Adapter createLetExpAdapter()

Creates a new adapter for an object of class '`Let Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `LetExp`

#### createIfExpAdapter

    public org.eclipse.emf.common.notify.Adapter createIfExpAdapter()

Creates a new adapter for an object of class '`If Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `IfExp`

#### createVariableDeclarationAdapter

    public org.eclipse.emf.common.notify.Adapter createVariableDeclarationAdapter()

Creates a new adapter for an object of class '`Variable Declaration`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `VariableDeclaration`

#### createIteratorAdapter

    public org.eclipse.emf.common.notify.Adapter createIteratorAdapter()

Creates a new adapter for an object of class '`Iterator`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `Iterator`

#### createParameterAdapter

    public org.eclipse.emf.common.notify.Adapter createParameterAdapter()

Creates a new adapter for an object of class '`Parameter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `Parameter`

#### createCollectionTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createCollectionTypeAdapter()

Creates a new adapter for an object of class '`Collection Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `CollectionType`

#### createOclTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createOclTypeAdapter()

Creates a new adapter for an object of class '`Ocl Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `OclType`

#### createPrimitiveAdapter

    public org.eclipse.emf.common.notify.Adapter createPrimitiveAdapter()

Creates a new adapter for an object of class '`Primitive`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `Primitive`

#### createStringTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createStringTypeAdapter()

Creates a new adapter for an object of class '`String Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `StringType`

#### createBooleanTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createBooleanTypeAdapter()

Creates a new adapter for an object of class '`Boolean Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `BooleanType`

#### createNumericTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createNumericTypeAdapter()

Creates a new adapter for an object of class '`Numeric Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `NumericType`

#### createIntegerTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createIntegerTypeAdapter()

Creates a new adapter for an object of class '`Integer Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `IntegerType`

#### createRealTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createRealTypeAdapter()

Creates a new adapter for an object of class '`Real Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `RealType`

#### createBagTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createBagTypeAdapter()

Creates a new adapter for an object of class '`Bag Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `BagType`

#### createOrderedSetTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createOrderedSetTypeAdapter()

Creates a new adapter for an object of class '`Ordered Set Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `OrderedSetType`

#### createSequenceTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createSequenceTypeAdapter()

Creates a new adapter for an object of class '`Sequence Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `SequenceType`

#### createSetTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createSetTypeAdapter()

Creates a new adapter for an object of class '`Set Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `SetType`

#### createOclAnyTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createOclAnyTypeAdapter()

Creates a new adapter for an object of class '`Ocl Any Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `OclAnyType`

#### createTupleTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createTupleTypeAdapter()

Creates a new adapter for an object of class '`Tuple Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `TupleType`

#### createTupleTypeAttributeAdapter

    public org.eclipse.emf.common.notify.Adapter createTupleTypeAttributeAdapter()

Creates a new adapter for an object of class '`Tuple Type Attribute`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `TupleTypeAttribute`

#### createOclModelElementAdapter

    public org.eclipse.emf.common.notify.Adapter createOclModelElementAdapter()

Creates a new adapter for an object of class '`Ocl Model Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `OclModelElement`

#### createMapTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createMapTypeAdapter()

Creates a new adapter for an object of class '`Map Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `MapType`

#### createOclFeatureDefinitionAdapter

    public org.eclipse.emf.common.notify.Adapter createOclFeatureDefinitionAdapter()

Creates a new adapter for an object of class '`Ocl Feature Definition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `OclFeatureDefinition`

#### createOclContextDefinitionAdapter

    public org.eclipse.emf.common.notify.Adapter createOclContextDefinitionAdapter()

Creates a new adapter for an object of class '`Ocl Context Definition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `OclContextDefinition`

#### createOclFeatureAdapter

    public org.eclipse.emf.common.notify.Adapter createOclFeatureAdapter()

Creates a new adapter for an object of class '`Ocl Feature`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `OclFeature`

#### createAttributeAdapter

    public org.eclipse.emf.common.notify.Adapter createAttributeAdapter()

Creates a new adapter for an object of class '`Attribute`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `Attribute`

#### createOperationAdapter

    public org.eclipse.emf.common.notify.Adapter createOperationAdapter()

Creates a new adapter for an object of class '`Operation`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `Operation`

#### createOclModelAdapter

    public org.eclipse.emf.common.notify.Adapter createOclModelAdapter()

Creates a new adapter for an object of class '`Ocl Model`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `OclModel`

#### createLocatedElementAdapter

    public org.eclipse.emf.common.notify.Adapter createLocatedElementAdapter()

Creates a new adapter for an object of class '`Located Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `LocatedElement`

#### createEObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

Creates a new adapter for the default case. This default implementation returns null.

Returns:
  the new adapter.